Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

S5 rooted, now what?

OP mkitchin

15th June 2014, 07:28 PM   |  #1  
OP Member
Thanks Meter: 27
 
68 posts
Join Date:Joined: Oct 2012
I have never run a stock OS rooted. Always AOKP or CM. What should we do now?
-How to we protect it to make sure VZW doesn't somehow patch it?
-Tethering without Foxfi now possible. See below.
-SuperSu info - see below.
-What will we need to do about updates?
-What else?

Read below. I'm adding helpful info as it is collected.

GeoHot (and others), you are the man (men). Thanks guys. All bounty pledgers, pay up!

If you need to root your S5, go here. Donate as well! http://towelroot.com/

** No, Root does not allow us to unlock the bootloader. They are entirely different. I personally have not heard of anyone working on that. Most knowledgeable people I have heard say it would require a leak of the keys from Verizon. **

***Below are apps and/or tweaks (not obvious ones) known to work by me or someone else that has tested***
-Xposed Framework
----X Tether (Free tethering)!
----Wanam Xposed - Free tethering option does NOT work for me. Others report it does.
-Super SU 2.0 in Play store now works. Link below no longer needed.
----use this version http://download.chainfire.eu/447/Sup...SU-v1.99r4.zip
Last edited by mkitchin; 18th June 2014 at 06:57 PM. Reason: More info
The Following 4 Users Say Thank You to mkitchin For This Useful Post: [ View ]
15th June 2014, 07:53 PM   |  #2  
kilroy1stcav's Avatar
Senior Member
Thanks Meter: 19
 
192 posts
Join Date:Joined: Apr 2008
More
Quote:
Originally Posted by mkitchin

I have never run a stock OS rooted. Always AOKP or CM. What should we do now?
-How to we protect it to make sure VZW doesn't somehow patch it?
-I assume we can enable native tethering without FoxFi?
-I know there is some chatter about SuperSu. It fails to update. Need a new version from Chainfire?
-What will we need to do about updates?
-What else?

GeoHot (and others), you are the man (men). Thanks guys. All bounty pledgers, pay up!

Did you install SU before or after rooting? Or had that problem, stupid me in the antisapation of having root I installed SU last night and after rooting just now could not for the life of me get it to update SU, after multiple reboots I finally uninstalled it after clearing the cache and app settings in app manager, rebooted then reinstalled, then ran root checker, it failed then it asked for root, granted, rechecked, and it passed!
15th June 2014, 07:55 PM   |  #3  
Senior Member
Flag Bay Area
Thanks Meter: 25
 
161 posts
Join Date:Joined: Apr 2013
More
Quote:
Originally Posted by mkitchin

I have never run a stock OS rooted. Always AOKP or CM. What should we do now?
-How to we protect it to make sure VZW doesn't somehow patch it?
-I assume we can enable native tethering without FoxFi?
-I know there is some chatter about SuperSu. It fails to update. Need a new version from Chainfire?
-What will we need to do about updates?
-What else?

GeoHot (and others), you are the man (men). Thanks guys. All bounty pledgers, pay up!

logically, you should avoid any vzw updates. SU may fail, but it still works. try running a rooted app. it will ask you to grant permission. I just removed over 12 apps that vzw forced on my phone.

Sent from my SM-G900V using Tapatalk
15th June 2014, 08:07 PM   |  #4  
Senior Member
Flag Philadelphia, PA
Thanks Meter: 33
 
303 posts
Join Date:Joined: Nov 2009
More
Quote:
Originally Posted by GlitchMob

logically, you should avoid any vzw updates. SU may fail, but it still works. try running a rooted app. it will ask you to grant permission. I just removed over 12 apps that vzw forced on my phone.

Sent from my SM-G900V using Tapatalk

can you share what was safe to remove so far without messing up any framework dependencies?

Sent from my SM-G900V using Tapatalk
15th June 2014, 08:13 PM   |  #5  
elliwigy's Avatar
Senior Member
Flag California
Thanks Meter: 1,191
 
2,700 posts
Join Date:Joined: Mar 2011
Donate to Me
More
chainfire needs to update app before well b able to update it.. it still has root and works so be patient.. we cant keep vzw/samsung from patching it on future devices but it will take them a bit of time so id imagine later updates and newer phones yet to come out would be patched.. now we enjoy root until someone down the road (hopefully) gets us custom recovery for custom roms but lets not jump the gun here, we just got root so let the devs enjoy that feat lol

Sent from my SM-G900V using XDA Premium HD app
15th June 2014, 08:21 PM   |  #6  
Misterxtc's Avatar
Recognized Contributor
Flag Syracuse, NY
Thanks Meter: 1,418
 
1,424 posts
Join Date:Joined: Dec 2013
More
Disable OTA
Quote:
Originally Posted by elliwigy

chainfire needs to update app before well b able to update it.. it still has root and works so be patient.. we cant keep vzw/samsung from patching it on future devices but it will take them a bit of time so id imagine later updates and newer phones yet to come out would be patched.. now we enjoy root until someone down the road (hopefully) gets us custom recovery for custom roms but lets not jump the gun here, we just got root so let the devs enjoy that feat lol

Sent from my SM-G900V using XDA Premium HD app

Rename SDM.apk and SDM.odex. to .bak files and VZW can't use the OTA updater anymore. The software updater in settings will be gone too. You will need a file explorer like fx and the root add on for this, it's free.

EDIT: SDM.apk is in the system/app driectory.
Last edited by Misterxtc; 16th June 2014 at 05:41 AM.
The Following 4 Users Say Thank You to Misterxtc For This Useful Post: [ View ]
15th June 2014, 08:21 PM   |  #7  
Senior Member
Thanks Meter: 190
 
1,085 posts
Join Date:Joined: Sep 2010
Safestrap is next: you'll be able to run custom ROMs but not custom kernels, so TW builds but not AOSP (unless the S5 GPE is built on a TW kernel, as the original 4.2.2 S4 GPE ROM was). I wouldn't actually delete any APKs from your device; just freeze them with Titanium.
The Following 2 Users Say Thank You to s44 For This Useful Post: [ View ]
15th June 2014, 08:28 PM   |  #8  
Senior Member
Flag Bay Area
Thanks Meter: 25
 
161 posts
Join Date:Joined: Apr 2013
More
Quote:
Originally Posted by Backwardsblade

can you share what was safe to remove so far without messing up any framework dependencies?

Sent from my SM-G900V using Tapatalk

Sure, but I cannot guarantee you won't have any issues. I managed to remove a decent amount of bloat apps and rebooted successfully. I will list them below.

- Google +
- Google Books
- Google Play Music
- Audible
- VZW protection
- Messaging +
- Amazon
- Kindle
- Amazon Appstore
- IMDB
- VZW ringtones
- VZW protection and support
- Isis Wallet

and a few more that I cannot remember. I hope this helps.

---------- Post added at 07:28 PM ---------- Previous post was at 07:28 PM ----------

Quote:
Originally Posted by s44

Safestrap is next: you'll be able to run custom ROMs but not custom kernels, so TW builds but not AOSP (unless the S5 GPE is built on a TW kernel, as the original 4.2.2 S4 GPE ROM was). I wouldn't actually delete any APKs from your device; just freeze them with Titanium.

Wouldn't the bootloader need to be unlocked first?
The Following User Says Thank You to GlitchMob For This Useful Post: [ View ]
15th June 2014, 08:54 PM   |  #9  
elliwigy's Avatar
Senior Member
Flag California
Thanks Meter: 1,191
 
2,700 posts
Join Date:Joined: Mar 2011
Donate to Me
More
Quote:
Originally Posted by GlitchMob

Sure, but I cannot guarantee you won't have any issues. I managed to remove a decent amount of bloat apps and rebooted successfully. I will list them below.

- Google +
- Google Books
- Google Play Music
- Audible
- VZW protection
- Messaging +
- Amazon
- Kindle
- Amazon Appstore
- IMDB
- VZW ringtones
- VZW protection and support
- Isis Wallet

and a few more that I cannot remember. I hope this helps.

---------- Post added at 07:28 PM ---------- Previous post was at 07:28 PM ----------



Wouldn't the bootloader need to be unlocked first?

no.. safestrap doesnt change or effect bootloader which is why youd only be able to install roms compatible with the locked bootloader

Sent from my SM-G900V using XDA Premium HD app
The Following User Says Thank You to elliwigy For This Useful Post: [ View ]
15th June 2014, 09:31 PM   |  #10  
kilroy1stcav's Avatar
Senior Member
Thanks Meter: 19
 
192 posts
Join Date:Joined: Apr 2008
More
Quote:
Originally Posted by elliwigy

chainfire needs to update app before well b able to update it.. it still has root and works so be patient.. we cant keep vzw/samsung from patching it on future devices but it will take them a bit of time so id imagine later updates and newer phones yet to come out would be patched.. now we enjoy root until someone down the road (hopefully) gets us custom recovery for custom roms but lets not jump the gun here, we just got root so let the devs enjoy that feat lol

Sent from my SM-G900V using XDA Premium HD app

He already updated SU HERE: http://download.chainfire.eu/447/Sup...SU-v1.99r4.zip

---------- Post added at 12:31 PM ---------- Previous post was at 12:30 PM ----------

Quote:
Originally Posted by elliwigy

chainfire needs to update app before well b able to update it.. it still has root and works so be patient.. we cant keep vzw/samsung from patching it on future devices but it will take them a bit of time so id imagine later updates and newer phones yet to come out would be patched.. now we enjoy root until someone down the road (hopefully) gets us custom recovery for custom roms but lets not jump the gun here, we just got root so let the devs enjoy that feat lol

Sent from my SM-G900V using XDA Premium HD app

Quote:
Originally Posted by mkitchin

I have never run a stock OS rooted. Always AOKP or CM. What should we do now?
-How to we protect it to make sure VZW doesn't somehow patch it?
-I assume we can enable native tethering without FoxFi?
-I know there is some chatter about SuperSu. It fails to update. Need a new version from Chainfire?
-What will we need to do about updates?
-What else?

GeoHot (and others), you are the man (men). Thanks guys. All bounty pledgers, pay up!

SU updated here: http://download.chainfire.eu/447/Sup...SU-v1.99r4.zip

The Following 2 Users Say Thank You to kilroy1stcav For This Useful Post: [ View ]
Post Reply Subscribe to Thread

Tags
root verizon galaxy s5
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes